{% extends 'base.html.twig' %}

{% block extra_meta_balise %}
    {{ parent() }}
    <meta name="robots" content="noindex">
{% endblock %}

{% block content %}
<div class="container-fluid my-4">
    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                    <li class="breadcrumb-item"><a href="{{ path('pi_crud_list', {'type': 'event'}) }}">{{ 'pi_crud.list.title'|trans({'entity_label': 'event'}) }}</a></li>
                    <li class="breadcrumb-item"><a href="{{ path('pi_crud_show', {'type': 'event', 'id': event.id, 'slug': event.slug}) }}">{{ event }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Inscription d'un licencié</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h1>Inscription d'un licencié à <span class="text-primary">{{ event.title }}</span></h1>
            <h3><small class="text-muted">Pour valider l'inscription, veuillez compléter le formulaire ci-dessous</small></h3>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h4 class="text-balise">Événement</h4>
            <div class="mb-4">
                <table class="mb-4">
                    <tr><td class="font-weight-bold pr-4">Date</td><td>{{ event.dateBegin|format_datetime('full', 'medium', locale='fr')|capitalize }}</td></tr>
                    {% if event.dateEntries is not empty %}<tr><td class="font-weight-bold pr-4">Date limite d'inscription</td><td>{{ event.dateEntries|format_datetime('full', 'medium', locale='fr')|capitalize }}</td></tr>{% endif %}
                    {% if event.format is not empty %}<tr><td class="font-weight-bold pr-4">Type</td><td>{{ event.format.label|capitalize }}</td></tr>{% endif %}
                    {% if event.organizer %}<tr><td class="font-weight-bold pr-4">Organisateur</td><td>{{ event.organizer|capitalize }}</td></tr>{% endif %}
                    {% if event.website %}<tr><td class="font-weight-bold pr-4">Site Web</td><td><a target="_BLANK" href="{{ event.website }}">{{ event.website }}</a></td></tr>{% endif %}
                </table>
                <a class="btn btn-outline-secondary" href="{{ path('pi_crud_show', {'type': 'event', 'id': event.id, 'slug': event.slug} )}}">Retourner à l'événement</a>
            </div>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h4 class="text-balise">Sélection du club</h4>
            <div class="dropdown show mb-4">
                <a class="btn btn-info dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Club {{ club }}
                </a>

                <div class="dropdown-menu bg-white border-info">
                    {% for club in clubs %}
                        <a class="dropdown-item" href="{{ path('app_event_entry', {'id': event.id, 'mode': 'club', 'club': club.id}) }}">{{ club.id ~ ' - ' ~ club.label }}</a>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            {% if club is defined and club is not empty %}
                <h4 class="text-balise">Sélection des coureurs</h4>
                {% if event.circuits|length %}
                    {% set input_circuits = '<select class="form-control" name="entry_form[__ID__][circuit]">' %}

                    {% for circuit in event.circuits %}
                        {% set input_circuits = input_circuits ~ '<option value="' ~ circuit.id ~ '" ' ~ (loop.index0 == 0 ? 'selected') ~ '>' ~ circuit.label ~ '</option>' %}
                    {% endfor %}

                    {% set input_circuits = input_circuits ~'</select>' %}
                {% endif %}

                {% set input_comment = '<textarea class="form-control" name="entry_form[__ID__][comment]" rows="1"></textarea>' %}
                <form name="club_entry_form" method="POST">
                    <table class="table table-striped">
                        <thead class="bg-primary text-white">
                        <tr>
                            <th>#</th>
                            <th>Nom</th>
                            <th>Prénom</th>
                            <th>N° puce SportIdent</th>
                            {% if event.circuits|length %}<th>Circuit</th>{% endif %}
                            <th>Commentaire</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for member in club.members %}
                            <tr>
                                <td class="form-check">
                                    <input type="checkbox" name="entry_form[{{ member.id }}][entry]" />
                                </td>
                                <td>
                                    {{ member.lastName }}
                                </td>
                                <td>
                                    {{ member.firstName }}
                                </td>
                                <td>
                                    <input class="form-control" type="text" value="{{ member.si }}" name="entry_form[{{ member.id }}][si]" />
                                </td>
                                {% if event.circuits|length %}
                                    <td>
                                        {{ input_circuits|replace({'__ID__': member.id})|raw }}
                                    </td>
                                {% endif %}
                                <td>
                                    {{ input_comment|replace({'__ID__': member.id})|raw }}
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                    <div class="position-sticky form_validation py-2">
                        <button class="btn btn-lg btn-primary" type="submit">
                            <i class="fa fa-save"></i> Enregistrer les inscriptions
                        </button>
                    </div>
                </form>
            {% endif %}
        </div>
    </div>
</div>
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('entries') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('entries') }}
{% endblock %}
